/* DEIstyle.css
**
**  Site-wide styling for DataExpedition.com content.
*/


/* Baseline Styles */

body {
   font-family: Arial,sans-serif;
   background-color:#CCE0F0;
   color:#000000;
   max-width:60em;
   min-width:40em;
   margin-left:auto;
   margin-right:auto;
   margin-top:0px;
   margin-bottom:0px;
   padding: 2px 4px;
}

table {
   border: 0px solid black;
   padding: 0px;
   margin: 0px;
}

td {
   padding: 0px;
   margin: 0px;
}

p { margin: 0 0 0 0; }

img {
   border: 0px solid black;
}

h3 {
   margin-top: 0px;
   margin-bottom: 0px;
}

tt,.dei_code {
    font-family: 'Monaco', 'Monaco', monospace;
    font-size:smaller;
}

p.dei_example {
   margin:0px 1em 1em 1em;
   font-family: 'Monaco', 'Monaco', monospace;
   white-space: pre;
   font-size:smaller;
}

/* Highlight page fragments */
:target {
   background-color:#FFFF00;
}

/* Page Outline Styles */

table.dei_border {
   padding: 4px;
   border-spacing: 0px;
/*   border-collapse:collapse;*/
   width: 100%;
   border-spacing: 0px;
   margin: 0px;
}

/* Corner elements inherit these defaults */
b.dei_corner *{
   display:block;
   height: 1px;
   line-height:1px;
   font-size: 1px;
   overflow:hidden;
   border-style:solid;
   border-width: 0 1px;
}

/* Outer Background Colors */
.dei_bg0 { background-color: #FFFFFF; }
.dei_bg1 { background-color: #87949F; }
.dei_bg2 { background-color: #A2B1BE; }
.dei_bg3 { background-color: #B6C7D6; }
.dei_bg4 { background-color: #C3D6E6; }
.dei_bg5 { background-color: #CCE0F0; }

/* Outer Border Colors */
b.dei_bc0 { border-color: #CCE0F0; }
b.dei_bc1 { border-color: #C3D6E6; }
b.dei_bc2 { border-color: #B6C7D6; }
b.dei_bc3 { border-color: #A2B1BE; }
b.dei_bc4 { border-color: #87949F; }
b.dei_bc5 { border-color: #FFFFFF; }
b.dei_bct { border-color: #FF0000; }

/* Outer Border widths */
b.dei_bw1 { border-width: 0px 1px; }
b.dei_bw2 { border-width: 0px 2px; }

/* Outer Border heights */
b.dei_bh2 { height: 2px; }

/* Side borders */
td.dei_bs {
   border-width: 0px 1px 0px 1px;
   border-style: solid;
   font-size:1px;
}
td.dei_outersideL {
   width:1px;
   border-width: 0px 1px 0px 1px;
   border-style: solid;
   font-size:1px;
   border-left-color:#C3D6E6;
   background-color:#B6C7D6;
   border-right-color:#A2B1BE;
}
td.dei_outersideR {
   width:1px;
   border-width: 0px 1px 0px 1px;
   border-style: solid;
   font-size:1px;
   border-left-color:#A2B1BE;
   background-color:#B6C7D6;
   border-right-color:#C3D6E6;
}
td.dei_innerside {
   width:1px;
   border-width: 0px;
   background-color: #87949F;
}
td.dei_innerspace {
   border-width: 0px 0.5em;
   border-color: #FFFFFF;
   border-style: solid;
}

/* Margin spacers */
b.dei_ms0 { margin: 0px 0px; border-width: 0px 0px; }
b.dei_ms1 { margin: 0px 1px; border-width: 0px 0px; }
b.dei_ms2 { margin: 0px 2px; border-width: 0px 0px; }
b.dei_ms3 { margin: 0px 3px; border-width: 0px 0px; }
b.dei_ms4 { margin: 0px 4px; border-width: 0px 0px; }
b.dei_ms5 { margin: 0px 5px; border-width: 0px 0px; }
b.dei_ms7 { margin: 0px 7px; border-width: 0px 0px; }
b.dei_msC { margin: 0px 11px; border-width: 0px 0px; }
b.dei_msB { margin: 0px 16px; border-width: 0px 0px; }
b.dei_msA { margin: 0px 23px; border-width: 0px 0px; }


/* Banner Image */

.dei_logo_r {
   position:relative;
   top:-21px;
   left:-8px;
   font-family:'Arial Black',Arial,sans-serif;
   font-size:12px;
}

p.dei_mdf {
   text-align: right;
   font-family: Arial, sans-serif;
   font-size:1em;
   color:#888888;
   margin-top:-10px;
}

div.dei_banner {
   position:relative;
   top:0; left:0; right:0;
   height:100px;
   background-repeat:no-repeat;
   background-position:top left;
   display:flex;
}

div.dei_banner p {
   text-align: right;
   color:white;
   font-family:Arial,sans-serif;
   font-size:32px;
   font-weight:normal;
   margin:auto 1em auto auto;
   position:relative;
}

/* Top navigation bar */
table.dei_navbar {
   width: 100%;
   background: #e4eef7;
   position:relative;
   margin: 0.5em 0;
   border: 1px solid #8CB7DB;
   font-family:Arial, sans-serif;
   color:#2f72b4;
   background-image:url(/graphics/NavBackground.gif);
   background-repeat:repeat-x;
}

table.dei_navbar tr {
   height:1.3em;
}

table.dei_navbar td {
   text-align:center;
   vertical-align:middle;
   white-space: nowrap;
}

table.dei_navbar a, table.dei_navbar a:visited {
  position:relative;
  text-decoration:none;
  color:#2f72b4; 
  display:block; 
}

table.dei_navbar a:hover {
   font-weight:bold;
}

/* Content Layout Table */
table.dei_layout {
   border-width: 0px;
   position:relative;
   width:100%;
   border-spacing: 0px;
   border-collapse:collapse;
}

td.dei_layoutL {
   vertical-align: top;
   text-align: left;
}

td.dei_layoutC {
   vertical-align: top;
   text-align: left;
   padding: 0 1em;
}

td.dei_layoutR {
   vertical-align: top;
   text-align: right;
}

/* Side navigation bar */
table.dei_sidebar {
   width:100%;
   border:1px solid #87b7d0;
   border-bottom:0 none white;
   margin-bottom:1em;
   padding:0px;
   border-spacing: 0px;
   white-space: nowrap;
}

table.dei_sidebar td {
   font-family:Arial,sans-serif;
   font-size:14px;
   color:#2f72b4;
   padding: .25em .25em .25em .25em;
   border-top:1px solid #F0F0F0;
   border-bottom:1px solid #8CB7DB;
}

table.dei_sidebar a:link, table.dei_sidebar a:visited {
   color:#2f72b4 !important;
   text-decoration:none !important;
}

table.dei_sidebar a:hover {
   color:#2f72b4 !important;
   font-weight:bold !important;
}

td.dei_side0 {
   padding-left:1px;
   font-weight:bold;
   background-color:#C1CED9;
   border-bottom:1px solid #8CB7DB;
}
td.dei_side1 {
   font-weight:bold;
   background-color:#C1CED9;
   border-bottom:1px solid #8CB7DB;
}
td.dei_side2 {
   background-color:#D8E7F3;
}

p.dei_sidespacer {
   font-family:Arial,sans-serif;
   font-size:14px;
   visibility:hidden;
   height:1px;
   font-weight:bold;
   margin-top:0px;
   margin-bottom:0px;
   margin-left:4px;
   margin-right:0.5em;
   white-space: nowrap;
}

p.dei_related {
   color:#505050;
   font-family:arial,sans-serif;
   font-size:14px;
   font-weight:bold;
   text-indent:-0.5em;
   padding-left:0.5em;
}

.dei_related a:link, .dei_related a:visited {
   color:#404057;
   position:relative;
   font-weight:bold;
   text-decoration:none;
}

.dei_related a:hover {
   color:#303030;
   background-color:#D8E7F3;
}


div.dei_search {
   background-color:#E6E7E8;
   margin:0.5em 0 .5em 0;
   text-align:left;
   padding:.25em .25em .25em .25em;
   border:1px solid #CCCCCC;
 }

div.dei_search form {
   margin: 0 0;
}

p.dei_search {
   font-family:arial,sans-serif;
   font-size:14px;
   color:#505050;
   position: relative;
}

.dei_history {
   font-family:arial,sans-serif;
   font-size:10px;
   color:#404040;
   margin: 2em 0 0 0;
}

div.dei_index {
   font-family:arial,sans-serif;
   font-size:16px;
   color:#202020;
   margin: 1em 0 0 0;
}

table.dei_index td {
   font-family:arial,sans-serif;
   font-size:16px;
   color:#404040;
   margin: 2em 0 0 0;
}

.dei_index a:link, table.dei_index a:visited {
   color:#2f72b4;
   font-size:smaller;
   text-decoration:none;
}
.dei_index a:hover {
   font-size:smaller;
   color:#2f72b4;
   background-color:#D8E7F3;
}

.dei_sidenote {
   font-family:arial,sans-serif;
   font-size:12px;
   color:#202020;
   margin: 0 0 1em 0;
}

.dei_sidetitle {
   font-family:arial,sans-serif;
   font-size:14px;
   color:#202020;
   margin: 1em 0 0 0;
   text-decoration:underline;
}

.dei_sidenote a:link, .dei_sidenote a:visited {
   color:#404057;
   position:relative;
   font-weight:bold;
   text-decoration:underline;
}

.dei_sidenote a:hover {
   color:#303030;
   background-color:#D8E7F3;
}

.dei_quote {
   font-family:arial,sans-serif;
   font-size:12px;
   color:#303030;
   font-style: italic;
   margin-top:1.5em;
   margin-bottom:0em;
}
.dei_attr {
   font-family:arial,sans-serif;
   font-size:12px;
   color:#303030;
   margin-top:0em;
   margin-bottom:0em;
   margin-left:1.5em;
   text-indent:-0.75em;
}


/* Footer */

table.dei_footer {
   width: 100%;
   border: 0px solid black;
   padding: 0px;
   margin: 0px 0px 0.25em 0px;
   border-spacing: 0px;
   font-family:Arial,sans-serif;
   white-space: nowrap;
}

td.dei_footerL {
   padding: 0px;
   text-align: left;
   font-style: italic;
   color:#808080;
   font-size:14px;
}
td.dei_footerR {
   padding: 0px;
   text-align: right;
   font-style: italic;
   color:#808080;
   font-size:14px;
}
td.dei_footerC {
   padding: 0px;
   text-align: center;
   font-style: normal;
   color:#A0A0A0;
   font-size:12px;
   border-top:1px solid #BFD9E5;
}


/* Content Styles */

.dei_hdr0 {
   font-family:helvetica,sans-serif;
   font-size:22px;
   font-weight:bold;
   color:#606060;
}

.dei_hdr1 {
   font-family:helvetica,sans-serif;
   font-size:16px;
   font-weight:bold;
   color:#505050;
}

.dei_hdr1 a:link, .dei_hdr1 a:visited {
   color:#404057;
   position:relative;
   font-weight:bold;
   text-decoration:underline;
}

.dei_hdr1 a:hover {
   color:#303030;
   background-color:#D8E7F3;
}

.dei_content {
   font-family:arial,sans-serif;
   font-size:14px;
   color:#303030;
   margin-top:0.25em;
   margin-bottom:1em;
}

.dei_content a:link, .dei_content a:visited {
   color:#404057;
   position:relative;
   font-weight:bold;
   text-decoration:underline;
}

.dei_content a:hover {
   color:#303030;
   background-color:#D8E7F3;
}

.dei_important {
   color:#202020;
   margin: 0.25em 20pt 1em 20pt;
}

.dei_tcenter {
   text-align:center;
}

.dei_u {
   text-decoration:underline;
}

.dei_hcenter {
   margin-left:auto;
   margin-right:auto;
}

.dei_vcenter {
   margin-top:auto;
   margin-bottom:auto;
}

.dei_icenter {
   display:block;
   margin-left:auto;
   margin-right:auto;
}

.dei_nbr {
   white-space: nowrap;
}

br.dei_pbr {
   line-height:1.5;
   vertical-align:top
}

table.dei_5columns {
}

table.dei_5columns td {
   width: 20%;
}

table.dei_6columns {
}

table.dei_6columns td {
   width: 16.7%;
}

table.dei_4columns {
}

table.dei_4columns td {
   width: 25%;
}

table.dei_pad2 td {
   padding:2px;
}

table.dei_pad4 td {
   padding:4px;
}

dl.dei_content dt {
   display: list-item;
   list-style-type: disc;
   text-decoration:underline;
   margin-left: 1em;
}

dl.dei_content dd {
   margin-bottom: 1em;
   margin-left: 1em;
}
